Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 979344 - Generic-release-19-0.3.noarch.fc19 enable rawhide version
Summary: Generic-release-19-0.3.noarch.fc19 enable rawhide version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: generic-release
Version: 20
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-28 09:32 UTC by penthium2
Modified: 2013-12-31 02:00 UTC (History)
1 user (show)

Fixed In Version: generic-release-20-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-31 02:00:35 UTC
Type: Bug


Attachments (Terms of Use)

Description penthium2 2013-06-28 09:32:57 UTC
Description of problem:
The generic-release enable the RAWHIDE repos and not the F19 repos

Version-Release number of selected component (if applicable):

Generic-release-19-0.3.noarch.fc19

How reproducible:

create a .ks for a generic liveMedia
or just download source file and analyse it

Steps to Reproduce:
1. yumdownloader --source generic-release
2. rpm -hiv generic-release-19-0.3.src.rpm
3. tar xvf generic-release-19.tar.gz
4. vi generic-release-19/fedora.repo
             [fedora]
             .....
             enabled=0
             .....
5. vi generic-release-19/fedora-rawhide.repo
             [rawhide]
             .....
             enabled=1
             .....   

Actual results:

rawhide repos enabled
fedora repos disabled

Expected results:

rawhide repos disabled
fedora repos enabled

Additional info:

Comment 1 Tom "spot" Callaway 2013-07-01 14:46:20 UTC
This is fixed in generic-release-19-2:

https://admin.fedoraproject.org/updates/FEDORA-2013-11735/generic-release-19-2

Comment 2 penthium2 2013-12-06 10:32:57 UTC
This bug come back under fedora-20

generic-release-20-0.2.noarch require generic-release-rawhide-20-0.2.noarch
So after livecd creation with a kickstart contain :

-fedora-release
-fedora-logos
-fedora-release-notes
-fedora-bookmarks
-desktop-backgrounds-basic
generic-release
generic-release-notes
generic-logos


the rawhide repo is enabled.

Comment 3 Fedora Update System 2013-12-09 16:17:10 UTC
generic-release-20-1 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/generic-release-20-1

Comment 4 Fedora Update System 2013-12-09 20:24:52 UTC
Package generic-release-20-1:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing generic-release-20-1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23025/generic-release-20-1
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-12-21 18:10:12 UTC
generic-release-20-2 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/generic-release-20-2

Comment 6 Fedora Update System 2013-12-31 02:00:35 UTC
generic-release-20-2 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.